<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHotelDescriptionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('hotel_descriptions', function (Blueprint $table) {
            $table->id();
            $table->string('name', 200)->nullable();
            $table->longText('description')->nullable();
            $table->string('slug',100)->nullable();
            $table->text('meta_description')->nullable();
            $table->string('keywords',400)->nullable();
            $table->longText('more_info')->nullable();
            $table->longText('facilities')->nullable();

            $table->unsignedBigInteger('hotel_id')->index();
            $table->unsignedBigInteger('language_id')->index();

            $table->foreign('hotel_id')->references('id')->on('hotels')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('language_id')->references('id')->on('languages')->onDelete('cascade')->onUpdate('cascade');

            // Set engine to InnoDB it's useful in join and constraint
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('hotel_descriptions');
    }
}
